#----------------------------------------------------------------------------#
# Location    :   Plugins/rp_keyframeanimation.rb
# Description :   A SketchupExtension class for Keyframe Animation.
# Date        :   1/19/2014
# Email       :   regular.polygon@gmail.com
# Website     :   http://regularpolygon.org/
#----------------------------------------------------------------------------#


require 'sketchup.rb'
require 'extensions.rb'


extension = SketchupExtension.new 'Keyframe Animation', 'rp_keyframeanimation/load_keyframeanimation.rb'
extension.description = "通过为任何物体添加运动，使您的SketchUp模型成为动画。"
extension.version = '1.8.6'
extension.creator = 'Regular Polygon'
extension.copyright = "Regular Polygon copyright #{Time.now.year}"

Sketchup.register_extension extension, true  # show on 1st install